# 32/64bit spec-file
#
%define	version   9100h
%define	src_version   9100h.patch13B-23-iconv.2010327.alt-depgraph-100120-patch100126.alt-cannadic-091230
%define	release   %mkrel 21.%{dic_date}.2
%define	dic_date  20100423

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:      anthy
Summary:   A Japanese words input system
Version:   %{version}
Release:   %mkrel 2
Group:     System/Internationalization
License:   GPLv2+
URL:       http://www.fenix.ne.jp/~G-HAL/soft/nosettle/#anthy
Source0:   http://www.fenix.ne.jp/~G-HAL/soft/nosettle/%{name}-%{src_version}.tar.lzma
Source1:   http://ovh.dl.sourceforge.net/sourceforge/mdk-ut/anthy-ut-patches-%{dic_date}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:   emacs-bin automake
Obsoletes:	libanthy0

%description
Anthy is a free and secure Japanese input system.

%package devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d anthy 0
Obsoletes:  libanthy-devel 

%description devel
Anthy development package: static libraries, header files, and the like.

%prep
%setup -q -n %{name}-%{version}

cp %SOURCE1 .
tar jxf anthy-ut-patches-%{dic_date}.tar.bz2
cd anthy-ut-patches-%{dic_date}
./apply-patches.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/anthy/*
%doc COPYING
%{_libdir}/*.so.%{major}*

%files devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Sun Feb 03 2013 pinoc <vogtpet at gmail.com> 9100h-2pclos2013
- rebuild on 64

* Tue May 11 2010 Texstar <texstar at gmail.com> 9100h-1pclos2010
- update for 2010 release

